package fanshe;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

//2. 创建远程类
//使远程类继承 java.rmi.server.UnicastRemoteObjcct 类，并且远程类的构构方法必声明抛出 RemoteException
public class GreetingServiceImp extends UnicastRemoteObject implements GreetingService {
    private StringBuffer name;

    public GreetingServiceImp(StringBuffer name) throws RemoteException {
        this.name = name;
    }

    public StringBuffer remoteGreet(StringBuffer msg) throws RemoteException {

        System.out.println(name + " :implements method remoteGreet");
        return new StringBuffer("greet;").append(msg).append(new StringBuffer(" from ")).append(name);

    }
}

//如果一个远程类已经继承了其他类，无法再继承 UnicastRemoteObiect 类，那么可以在构造方法中调用 UnicastRemoteObject 类的静态\
// expotObject 方法，同样，远程类的构造方法也必须声明抛出 RemoteException

//public class GreetingServiceImp extends OtherClass implements GreetingService {
//
//    private StringBuffer name;
//
//    public GreetingServiceImp(StringBuffer name) throws RemoteException {
//        this.name = name;
//        //参数 port 指定监听的端口，如果取值为0，就表示监听任意一个匿名端口
//        UnicagtRemoteObject.exportobject(this, 0);
//    }
//
//    public StringBuffer remoteGreet(StringBuffer msg) throws RemoteException {
//
//        System.out.println(name + " :implements method remoteGreet");
//        return new StringBuffer("greet;").append(msg).append(new StringBuffer(" from ")).append(name);
//
//    }
//}
