
class Num implements Cloneable {
    double num = 10.0;

    @Override
    protected Object clone() throws CloneNotSupportedException {
        return super.clone();
    }
}

public class CloneObject implements Cloneable {

    Num number;

    public CloneObject() {
        this.number = new Num();
    }

    public static void main(String[] args) throws CloneNotSupportedException {
        CloneObject cloneObject = new CloneObject();
        CloneObject cloned = (CloneObject) cloneObject.clone();
        System.out.println(cloned.getNumber().num); // 10.0
        System.out.println(cloneObject.getNumber().num); // 10.0
        cloned.number.num = 20.0;
        System.out.println(cloned.number.num); // 20.0
        System.out.println(cloneObject.number.num); // 深：10.0 浅： 20.0
    }

    public Num getNumber() {
        return number;
    }

    public void setNumber(Num number) {
        this.number = number;
    }

    public Object clone() throws CloneNotSupportedException {
        CloneObject cloneObject = (CloneObject) super.clone();
        cloneObject.number = (Num) this.number.clone(); // 加上这行会变为深拷贝
        return cloneObject;
    }
}
