package main;//
//public class main.FactoryTest
//{
//    public static void main(String[] args)
//    {
//        try
//        {
//            main.Product productA = main.Factory.getInstance("main.ProductA");
//            productA.show();
//        }
//        catch (NullPointerException e)
//        {
//            System.out.println("没有A这款产品，无法生产~");
//        }
//
//        try
//        {
//            main.Product productB = main.Factory.getInstance("main.ProductB");
//            productB.show();
//        }
//        catch (NullPointerException e)
//        {
//            System.out.println("没有B这款产品，无法生产~");
//        }
//
//        try
//        {
//            main.Product productC = main.Factory.getInstance("main.ProductC");
//            productC.show();
//        }
//        catch (NullPointerException e)
//        {
//            System.out.println("没有C这款产品，无法生产~");
//        }
//
//        try
//        {
//            main.Product productD = main.Factory.getInstance("ProductD");
//            productD.show();
//        }
//        catch (Exception e)
//        {
//            System.out.println("没有D这款产品，无法生产~");
//        }
//    }
//}

import org.junit.Test;

import java.io.IOException;
import java.util.Properties;

public class FactoryTest
{
    @Test
    public void test() throws IOException
    {
        ClassLoader classLoader = this.getClass().getClassLoader();
        Properties prop = new Properties();
        prop.load(classLoader.getResourceAsStream("main/Product.properties"));
        String className = "";
        try
        {
            className = prop.getProperty("ProductA");
            Product productA = Factory.getInstance(className);
            productA.show();
        }
        catch (NullPointerException e)
        {
            System.out.println("没有A这款产品，无法生产~");
        }

        try
        {
            className = prop.getProperty("ProductB");
            Product productA = Factory.getInstance(className);
            productA.show();
        }
        catch (NullPointerException e)
        {
            System.out.println("没有B这款产品，无法生产~");
        }

        try
        {
            className = prop.getProperty("ProductC");
            Product productA = Factory.getInstance(className);
            productA.show();
        }
        catch (NullPointerException e)
        {
            System.out.println("没有C这款产品，无法生产~");
        }
        try
        {
            className = prop.getProperty("ProductD");
            Product productA = Factory.getInstance(className);
            productA.show();
        }
        catch (NullPointerException e)
        {
            System.out.println("没有D这款产品，无法生产~");
        }
    }
}