package org.example.jacksonSerializable;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.List;

public class Main {
    public static void main(String[] args) throws ParseException {
        List<User> users = new ArrayList<User>();
        for (int i = 0; i < 20; i++) {
            User user = new User();
            user.setName("Apple" + i);
            user.setAge(20 + i);
            SimpleDateFormat dateformat = new SimpleDateFormat("yyyy-MM-dd");
            user.setBirthday(dateformat.parse("1991-10-01"));
            user.setEmail("12345678" + i + "@qq.com");

            //  序列化单个对象
            String json=JsonUtils.objectToJson(user);
            System.out.println(json);

            users.add(user);
        }

        // 序列化对象列表
        String json1 = JsonUtils.objectToJson(users);
        System.out.println(json1);

    }
}
